gRPC C#
gRPC C#
Namespaces
Grpc.Core.Utils
Preconditions Class
Preconditions Methods
CheckState Method
CheckState Method (Boolean)
CheckState Method (Boolean, String)

Preconditions CheckState Method (Boolean)

Throws InvalidOperationException if condition is false.

Namespace: Grpc.Core.Utils
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static void CheckState(
    	bool condition
    )

    Public Shared Sub CheckState (
    	condition As Boolean
    )

    public:
    static void CheckState(
    	bool condition
    )

    static member CheckState :
            condition : bool -> unit

#### Parameters

condition
  Type: System
  Boolean
  The condition.

See Also

#### Reference

Preconditions Class
CheckState Overload
Grpc.Core.Utils Namespace